%define rel 1

Name:           kf5-macros
Version: 5.42.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 5
Group:          Development/KDE and Qt
License:        GPLv2
URL:            http://www.mageia.org
Source:         kf5.macros
BuildArch:      noarch
Requires:       cmake >= 2.8.8
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 5.

%files
%_sysconfdir/rpm/macros.d/kf5.macros

%install
install -d -m 755 %buildroot%_sysconfdir/rpm/macros.d
install -m 644 %SOURCE0 %buildroot%_sysconfdir/rpm/macros.d/kf5.macros

sed -e 's,VERSION,%{version},g' -i  %buildroot%_sysconfdir/rpm/macros.d/kf5.macros


%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194101
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089153
- Rebuild for testing

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088935
- New version 5.32.0

* Fri Feb 10 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1085501
- Remove unexisting macros

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074506
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-3.mga6
+ Revision: 1073715
- Add some cmake instruction ( needed by okular)

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1072167
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-2.mga6
+ Revision: 1058326
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-2.mga6
+ Revision: 1050503
- New version 5.26.0

* Mon Aug 22 2016 neoclust <neoclust> 5.25.0-2.mga6
+ Revision: 1047787
- Introduce new %%_kf5_metainfodir macro

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045081
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041417
- New version 5.24.0

* Sat Jun 18 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1022044
- New version 5.23

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014566
- New version 5.22.0

* Mon Apr 11 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000540
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986384
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942303
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921335
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909921
- New version 5.17.0

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898972
- New version 5.16.0

* Sun Nov 01 2015 neoclust <neoclust> 5.15.0-2.mga6
+ Revision: 897255
- Fix typo in descrition

* Sun Nov 01 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 897250
- New version 5.15.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 863498
- Do not use absolute path for dbus path

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863355
- New version 5.13.0
  Introduce new macros: %%kf5_version

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 862563
- Remove buildtype macro

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862524
- Fix cmake command, fix plugin install dir

* Fri Jul 31 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 859322
- Add as require deps needed to build HTML docs

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853888
- New version

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803477
- Update requires for 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.0.0-15.mga5
+ Revision: 739864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.0-14.mga5
+ Revision: 681051
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-13.mga5
+ Revision: 657555
- Add new macro %%_kf5_appdatadir

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-11.mga5
+ Revision: 654899
- Clean cmake command

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-10.mga5
+ Revision: 654830
- Try to fix dbus define
- Fix notification macro name
- Add a new macro for knotifications

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-7.mga5
+ Revision: 654040
- Revet datadir change this was not a good idea

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 653481
- Add %%_kf5_applicationdir macro

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 653457
- Add new macro

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 653109
- Adapt to new datadir

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 652268
- Adapt macros to new kf5

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 651650
- Add %%_kf5_libexecdir macro

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651645
- Fix Build options

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-2.mga5
+ Revision: 642247
- Try a better fix for includes

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 642242
- Adapt includedir

* Tue Feb 25 2014 neoclust <neoclust> 4.96.0-4.mga5
+ Revision: 597159
- Revert previous DBUS change

* Fri Feb 21 2014 neoclust <neoclust> 4.96.0-3.mga5
+ Revision: 595227
- Fix dbus macro

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 594566
- Fix services folders

* Tue Feb 18 2014 neoclust <neoclust> 4.95.0-19.mga5
+ Revision: 594283
- Fix SYSCONF_INSTALL_DIR

* Tue Feb 11 2014 neoclust <neoclust> 4.95.0-18.mga5
+ Revision: 589502
- Fix macro for plugin dir

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-17.mga5
+ Revision: 589144
- Try to fix macro

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-16.mga5
+ Revision: 589133
- Try to fix macro

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-15.mga5
+ Revision: 589129
- Revert file move

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-14.mga5
+ Revision: 588929
- Add more macros
  Rename macro file

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-13.mga5
+ Revision: 587732
- Fix typo in EXEC_INSTALL_PREFIX

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-12.mga5
+ Revision: 587728
- More macros fixes

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-11.mga5
+ Revision: 587620
- Add more macros

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-10.mga5
+ Revision: 587225
- Fix typo in macros

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-9.mga5
+ Revision: 587221
- Fix mkspecs location

* Wed Feb 05 2014 neoclust <neoclust> 4.95.0-8.mga5
+ Revision: 583185
- Revert the revert, default is ${LIB_INSTALL_DIR}/plugins/kf5

* Wed Feb 05 2014 neoclust <neoclust> 4.95.0-7.mga5
+ Revision: 583179
- Revert previous change in pluginsdir

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-6.mga5
+ Revision: 582707
- Fix plugin dir macro

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-5.mga5
+ Revision: 582568
- Workaround macro issue

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-4.mga5
+ Revision: 582233
- Fix include dir

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-3.mga5
+ Revision: 582167
- Use upstream DSHARE_INSTALL_PREFIX

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-2.mga5
+ Revision: 580579
- Add requires on extra-cmake-modules

* Wed Jan 22 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 567464
- imported package kf5-macros

